/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.files.listeners;

import com.thingspace.cloud.sdk.list.ItemList;
import com.thingspace.cloud.sdk.list.item.MetadataItem;

/**
 * File operations response listener.
 */
public interface FileOperationsResponseListener {

    public void onCreateFolderResponseReceived(MetadataItem metadataItem, int responseCode);

    public void onDeleteResponseReceived(boolean response);

    public void onRenameResponseReceived(ItemList response, int responseCode);

    public void onCopyResponseReceived(ItemList response, int responseCode);

    public void onMoveResponseReceived(ItemList response, int responseCode);

    public void onUploadDownloadResponseReceived(boolean response, int responseCode);

    public void onRestoreResponseReceived(Boolean success, int responseCode);

}
