/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.files.listeners;

import com.thingspace.cloud.sdk.list.ItemList;

/**
 * Metadata response listener.
 */
public interface MetadataResponseListener {

    /**
     * @param response
     */
    public void onMetadataResponseReceived(ItemList response, int responseCode);

    /**
     * @param response
     */
    public void onGetFileResponseReceived(String response, int responseCode);
}
